package de.frajul.endlessroll.entities.tools;

import android.support.annotation.DrawableRes;
import android.support.annotation.StringRes;

import de.frajul.endlessroll.R;

/**
 * Created by Julian on 07.06.2017.
 */

public enum ToolUpgradeType {

    NONE(R.string.tool_upgrade_none, "", R.drawable.tools_rampbutton), TIME(R.string.tool_upgrade_time, "s", R.drawable.clock), RADIUS(
            R.string.tool_upgrade_radius, "%", R.drawable.radius), FORCE(R.string.tool_upgrade_force, "%", R.drawable.magnet_field);

    @StringRes
    private int name;
    private String unit;
    @DrawableRes
    private int drawable;

    ToolUpgradeType(@StringRes int name, String unit, @DrawableRes int drawable) {
        this.name = name;
        this.unit = unit;
        this.drawable = drawable;
    }

    @StringRes
    public int getName() {
        return name;
    }

    public String getUnit() {
        return unit;
    }

    @DrawableRes
    public int getDrawable() {
        return drawable;
    }
}
